%global debug_package %{nil}

Name:       	authenticator
Version:    	4.4.0
Release:    	1
Summary:    	Generate Two-Factor Codes
License:        GPLv3+
URL:            https://gitlab.gnome.org/World/Authenticator.git
Requires:       glib2
Requires:       gtk4
Requires:       libadwaita
Requires:  	gstreamer1-plugins-base
Requires:  	gstreamer1-plugins-bad-free

BuildRequires:  meson
BuildRequires:  cargo
BuildRequires:  glib2-devel
BuildRequires:  gtk4-devel
BuildRequires:  git
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:	rust
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:  pkgconfig(zbar)
BuildRequires:  gtk-update-icon-cache
BuildRequires:  desktop-file-utils
BuildRequires:  libadwaita-devel
BuildRequires:  gstreamer1-devel
BuildRequires:  gstreamer1-plugins-bad-free-zbar
BuildRequires:  gstreamer1-plugins-base-devel
BuildRequires:  gstreamer1-plugins-bad-free
BuildRequires:  gstreamer1-plugins-bad-free-devel
BuildRequires:  openssl-devel
BuildRequires:  pipewire-devel
BuildRequires:  clang-devel
BuildRequires:  sqlite-devel
BuildRequires:  libappstream-glib-devel
%description
Generate Two-Factor Codes

%prep
cd %{_builddir}
git clone --recurse-submodules https://gitlab.gnome.org/World/Authenticator.git
 cd Authenticator
 git checkout 5b3a31a0479370428465623154e30272bb1a99d3

%build
cd Authenticator
export BINDGEN_EXTRA_CLANG_ARGS="$BINDGEN_EXTRA_CLANG_ARGS -DPW_ENABLE_DEPRECATED"
%meson
%meson_build

%install
cd Authenticator*
%meson_install

%files

%{_bindir}/authenticator
%{_datadir}/applications/com.belmoussaoui.Authenticator.desktop
%{_datadir}/authenticator/authenticator.gresource
%{_datadir}/dbus-1/services/com.belmoussaoui.Authenticator.SearchProvider.service
%{_datadir}/gnome-shell/search-providers/com.belmoussaoui.Authenticator.search-provider.ini
%{_datadir}/glib-2.0/schemas/com.belmoussaoui.Authenticator.gschema.xml
%{_datadir}/icons/hicolor/scalable/apps/com.belmoussaoui.Authenticator.svg
%{_datadir}/icons/hicolor/symbolic/apps/com.belmoussaoui.Authenticator-symbolic.svg
%{_datadir}/locale/*/LC_MESSAGES/authenticator.mo
%{_datadir}/metainfo/com.belmoussaoui.Authenticator.metainfo.xml
